plugin.h File Reference
SPA » Support » Plugin Handle

`spa/support/plugin.h` More...

Go to the source code of this file.

## Data Structures

struct | spa_handle
struct | spa_interface_info
| This structure lists the information about available interfaces on handles. More...
struct | spa_support
| Extra supporting infrastructure passed to the init() function of a factory. More...
struct | spa_handle_factory

## Macros

#define | SPA_VERSION_HANDLE 0
| Version of this struct. More...
#define | spa_handle_get_interface(h, ...) (h)->get_interface((h),__VA_ARGS__)
#define | spa_handle_clear(h) (h)->clear((h))
#define | SPA_SUPPORT_INIT(type, data) (struct spa_support) { (type), (data) }
#define | SPA_VERSION_HANDLE_FACTORY 1
| The version of this structure. More...
#define | spa_handle_factory_get_size(h, ...) (h)->get_size((h),__VA_ARGS__)
#define | spa_handle_factory_init(h, ...) (h)->init((h),__VA_ARGS__)
#define | spa_handle_factory_enum_interface_info(h, ...) (h)->enum_interface_info((h),__VA_ARGS__)
#define | SPA_HANDLE_FACTORY_ENUM_FUNC_NAME "spa_handle_factory_enum"
#define | SPA_KEY_FACTORY_NAME "factory.name"
| the name of a factory More...
#define | SPA_KEY_FACTORY_AUTHOR "factory.author"
| a comma separated list of factory authors More...
#define | SPA_KEY_FACTORY_DESCRIPTION "factory.description"
| description of a factory More...
#define | SPA_KEY_FACTORY_USAGE "factory.usage"
| usage of a factory More...
#define | SPA_KEY_LIBRARY_NAME "library.name"
| the name of a library. More...

## Typedefs

typedef int(* | spa_handle_factory_enum_func_t) (const struct spa_handle_factory **factory, uint32_t *index)
| The function signature of the entry point in a plugin. More...

## Functions

static void * | spa_support_find (const struct spa_support *support, uint32_t n_support, const char *type)
| Find a support item of the given type. More...
int | spa_handle_factory_enum (const struct spa_handle_factory **factory, uint32_t *index)
| The entry point in a plugin. More...

## Detailed Description

`spa/support/plugin.h`